Bug 130442 - "Font Color" link in "Formatting toolbar" helppage goes to "Font Effects tab" page - which is not so helpful
Summary: "Font Color" link in "Formatting toolbar" helppage goes to "Font Effects tab"...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.3.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0
Keywords:
Depends on:
Blocks: Help-Changes-Features Help-Link
  Show dependency treegraph
 
Reported: 2020-02-04 23:11 UTC by sdc.blanco
Modified: 2022-03-10 11:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-02-04 23:11:17 UTC
Help page for "Formatting Bar":

https://help.libreoffice.org/7.0/en-US/text/swriter/main0202.html?DbPAR=WRITER

For icon/command:  Font Color 

Five problems:

1. The sentence: "You can also click here, and then drag a selection to change the text color"  seems incorrect here.

2. The link on "Font Color" goes to the help page for "Font Effects" tab.

3.  The "Font Effects" tab does have a "Font Color" heading.  The first bullet point seems correct (and could just as easily be under "Font Color" on the "Formatting Bar" page -- no need for a link)

4. The other bullet points under "Font Color" on the "Font Effects" tab seem to be about "highlighting".

5. Tried to find (without success) a help page that explains the color palette. Such a page seems like a more appropriate link for "Font Color" on the "Formatting Bar" help page.
Comment 1 Rafael Lima 2022-01-04 17:55:18 UTC
In:
https://help.libreoffice.org/7.4/en-US/text/shared/01/05020200.html?&DbPAR=WRITER&System=UNIX

This part doesn't work as described:
"If you click the Font Color icon before you select text, the paint can cursor appears. To change the color of text, select the text with the paint can cursor."

Should we simply remove it from the help? Is this a deprecated feature?
Comment 2 sdc.blanco 2022-01-04 18:36:20 UTC
(In reply to Rafael Lima from comment #1)
> Should we simply remove it from the help? Is this a deprecated feature?
NB. This text was in the initial checkin of this help page from 2004.

See also:  https://help.libreoffice.org/7.4/en-US/text/shared/guide/text_color.html

(with the same instructions, also from 2004).

Have not investigated if this is a regression or a deprecation.

In either case, these instructions do not seem relevant/appropriate for a help page about a dialog box. (I am guessing that the instructions about the paint can was a quick-and-dirty solution to explain how to manually change font colors that were set in this dialog.)
Comment 3 Commit Notification 2022-01-04 19:32:24 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/573cb7bfe3af24d830f02fff227166e2ea292c14

Related tdf#130442 Redirect to Font Color section of the help page
Comment 4 sdc.blanco 2022-03-10 11:25:36 UTC
Thanks for fixing link Rafafel, but I wonder if it makes sense to link to the "Font Effects" tab help page -- which is not relevant for the Formatting bar?

Wouldn't it be easier/better to drop the link and just put the right information on the the Formatting bar help page?

Problem #1 in OP now registered as bug 147901 
Problems #4 and #5 in OP now registered as bug 147898